[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# Randomize

Initialize random number generator

## Declaration

Source position: systemh.inc line 596

`procedure Randomize;`

## Description

Randomize initializes the random number generator of Free Pascal, by giving a value to Randseed, calculated with the system clock.

For an example, see Random.

## Errors

None.

## See also

Random |  | Generate random number

Documentation generated on: Feb 26 2014